<?php

namespace Insign\PostCore\Api;

use Magento\Quote\Api\Data\AddressInterface;


interface AddressValidationInterface
{

    /**
     * Validate Shipping address
     *
     * @param mixed $cartId
     * @param \Magento\Quote\Api\Data\AddressInterface $address
     * @return string
     */
    public function validateByAddress($cartId, AddressInterface $address): string;
}
