<?php

namespace Insign\PostCore\Model\Config\Source\Barcode;

/**
 * @api
 * @since 100.0.2
 */
class ImageFormats implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray(): array
    {
        return [
            ['value' => 'EPS', 'label' => 'EPS'],
            ['value' => 'GIF', 'label' => 'GIF'],
            ['value' => 'JPG', 'label' => 'JPG'],
            ['value' => 'PNG', 'label' => 'PNG'],
            ['value' => 'PDF', 'label' => 'PDF'],
            ['value' => 'sPDF', 'label' => 'sPDF'],
            ['value' => 'ZPL2', 'label' => 'ZPL2']
        ];
    }
}
