define([
    'mage/url',
    'Insign_PostCore/js/model/swisspost-messages',
    'mage/translate'
], function (url, postcoreMessages, $t) {
    'use strict';

    return {
        /**
         * @param {Object} response
         * @param {Object} messageContainer
         */
        process: function (response) {

            if (response.status == 401) { //eslint-disable-line eqeqeq
                window.location.replace(url.build('customer/account/login/'));
            } else {
                postcoreMessages.showError(true);
                postcoreMessages.error($t('An error occurred during the validation of the delivery address.'));
            }
        },

        hideError: function() {
            postcoreMessages.showError(false);
        }
    };
});
